Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(4)

Issue 1404733003: Implement stub of Blink API to check for enabled experiments (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
1 year, 11 months ago by chasej
Modified:
1 year, 11 months ago
CC:
blink-reviews, chromium-reviews
Base URL:
https://chromium.googlesource.com/chromium/src.git@master
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Implement stub of Blink API to check for enabled experiments Allows APIs implemented in Blink to check (from native code), if the API is enabled for the current context. Stub implementation will always return that the API is disabled. API is synchronous so it can be called from API implementations that are synchronous. BUG=543140 Committed: https://crrev.com/153f0dd478de52c46f77abeb1fa8a94cbd89560f Cr-Commit-Position: refs/heads/master@{#354887}

Patch Set 1 #

Unified diffs Side-by-side diffs Delta from patch set Stats (+97 lines, -0 lines) Patch
M third_party/WebKit/Source/core/core.gypi View 2 chunks +3 lines, -0 lines 0 comments Download
A third_party/WebKit/Source/core/experiments/Experiments.h View 1 chunk +39 lines, -0 lines 0 comments Download
A third_party/WebKit/Source/core/experiments/Experiments.cpp View 1 chunk +23 lines, -0 lines 0 comments Download
A third_party/WebKit/Source/core/experiments/ExperimentsTest.cpp View 1 chunk +32 lines, -0 lines 0 comments Download
Trybot results:  win_chromium_rel_ng   win8_chromium_ng   win_chromium_compile_dbg_ng   win_chromium_x64_rel_ng   win_chromium_rel_ng   mac_chromium_gn_rel   ios_rel_device_ninja   mac_chromium_compile_dbg_ng   ios_dbg_simulator_ninja   mac_chromium_rel_ng   linux_chromium_chromeos_compile_dbg_ng   android_chromium_gn_compile_rel   linux_android_rel_ng   linux_chromium_asan_rel_ng   android_chromium_gn_compile_dbg   chromeos_x86-generic_chromium_compile_only_ng   chromium_presubmit   linux_chromium_rel_ng   linux_chromium_compile_dbg_ng   chromeos_amd64-generic_chromium_compile_only_ng   cast_shell_linux   android_clang_dbg_recipe   chromeos_daisy_chromium_compile_only_ng   android_arm64_dbg_recipe   android_compile_dbg   linux_chromium_chromeos_ozone_rel_ng   linux_chromium_compile_dbg_32_ng   linux_chromium_chromeos_rel_ng   linux_chromium_gn_chromeos_rel   cast_shell_android   win_chromium_x64_rel_ng   win_chromium_rel_ng   win_chromium_compile_dbg_ng   win8_chromium_ng   mac_chromium_gn_rel   mac_chromium_rel_ng   mac_chromium_compile_dbg_ng   ios_rel_device_ninja   ios_dbg_simulator_ninja   linux_chromium_rel_ng   linux_chromium_gn_chromeos_rel   linux_chromium_compile_dbg_ng   linux_chromium_compile_dbg_32_ng   linux_chromium_clobber_rel_ng   linux_chromium_chromeos_rel_ng   linux_chromium_chromeos_compile_dbg_ng   linux_chromium_chromeos_ozone_rel_ng   linux_chromium_asan_rel_ng   chromeos_x86-generic_chromium_compile_only_ng   linux_android_rel_ng   chromeos_amd64-generic_chromium_compile_only_ng   chromeos_daisy_chromium_compile_only_ng   cast_shell_linux   android_compile_dbg   cast_shell_android   android_chromium_gn_compile_rel   android_clang_dbg_recipe   android_chromium_gn_compile_dbg   android_arm64_dbg_recipe 
Commit queue not available (can’t edit this change).

Messages

Total messages: 10 (3 generated)
chasej
mek, please take a look.
1 year, 11 months ago (2015-10-14 23:17:52 UTC) #2
Marijn Kruisselbrink
lgtm
1 year, 11 months ago (2015-10-15 00:34:08 UTC) #3
chasej
rbyers, please take a look.
1 year, 11 months ago (2015-10-16 17:54:06 UTC) #5
Rick Byers
LGTM
1 year, 11 months ago (2015-10-19 20:09:09 UTC) #6
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1404733003/1 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1404733003/1
1 year, 11 months ago (2015-10-19 20:21:33 UTC) #8
commit-bot: I haz the power
Committed patchset #1 (id:1)
1 year, 11 months ago (2015-10-19 22:22:21 UTC) #9
commit-bot: I haz the power
1 year, 11 months ago (2015-10-19 22:23:35 UTC) #10
Message was sent while issue was closed.
Patchset 1 (id:??) landed as
https://crrev.com/153f0dd478de52c46f77abeb1fa8a94cbd89560f
Cr-Commit-Position: refs/heads/master@{#354887}
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld b40b6558b